# Class: Node

Defined in: | lib/psd/node.coffee
Inherits: | Module

## Direct Known Subclasses

Group Layer Root

## Variables Summary

PROPERTIES =

      ['name', 'left', 'right', 'top', 'bottom', 'height', 'width']

type =

      'node'

## Instance Method Summary

- # (void) createProperties()
- # (void) get(prop)
- # (void) visible()
- # (void) hidden()
- # (void) isLayer()
- # (void) isGroup()
- # (void) isRoot()
- # (void) clippingMask()
- # (void) clippedBy()
- # (void) export()
- # (void) updateDimensions()

## Constructor Details

# (void) constructor(layer, parent = null)

## Instance Method Details

# (void) createProperties()

# (void) get(prop)

# (void) visible()

# (void) hidden()

# (void) isLayer()

# (void) isGroup()

# (void) isRoot()

# (void) clippingMask()

# (void) clippedBy()

# (void) export()

# (void) updateDimensions()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input